Index: /other-projects/is-sheet-music-encore/trunk/COMPX520-MAP-DOWNLOADER-PNG.sh
===================================================================
--- /other-projects/is-sheet-music-encore/trunk/COMPX520-MAP-DOWNLOADER-PNG.sh	(revision 33589)
+++ /other-projects/is-sheet-music-encore/trunk/COMPX520-MAP-DOWNLOADER-PNG.sh	(revision 33589)
@@ -0,0 +1,15 @@
+#!/bin/bash
+#https://stackoverflow.com/questions/15148796/get-string-after-character
+file_name=$1
+location=$2
+
+IFS=$'\n'
+for id in `cat $file_name` ; do
+	new_id=$(echo "$id" | awk 'BEGIN {FS="\t"}; {print $1}')
+	page_num=$(echo "$id" | awk 'BEGIN {FS="\t"}; {print $2}')
+	echo "id: $new_id  page_num: $page_num"
+	echo ""
+	./COMPX520-MAP-RUN-PNG-hi-res.sh $new_id $page_num $location
+	#./firstlast-RUN-PNG-hi-res.sh $new_id $page_num $location
+	sleep 2  
+done
Index: /other-projects/is-sheet-music-encore/trunk/COMPX520-MAP-RUN-PNG-hi-res.sh
===================================================================
--- /other-projects/is-sheet-music-encore/trunk/COMPX520-MAP-RUN-PNG-hi-res.sh	(revision 33589)
+++ /other-projects/is-sheet-music-encore/trunk/COMPX520-MAP-RUN-PNG-hi-res.sh	(revision 33589)
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+if [ $# != 3 ] ; then 
+  echo "Usage: ./COMPX520-RUN-PNG-hi-res.sh doc_id page location" 1>&2
+  exit 1
+fi
+
+doc_id=$1
+page_num=$2
+location=$3
+
+doc_id_file=`echo $doc_id | sed 's/:/+/' | sed 's/\//=/g'`
+
+
+output_file="hires-download-images-map/$location/$doc_id_file-$page_num.png"
+echo "Retrieving doc-id-page: $doc_id-$page_num -> $output_file"
+echo ""
+
+./dapiclient2-extended-hi-res.pl "$doc_id/$page_num" > "$output_file"
+
+
Index: /other-projects/is-sheet-music-encore/trunk/EndToEndSystem.sh
===================================================================
--- /other-projects/is-sheet-music-encore/trunk/EndToEndSystem.sh	(revision 33588)
+++ /other-projects/is-sheet-music-encore/trunk/EndToEndSystem.sh	(revision 33589)
@@ -14,7 +14,48 @@
 #Test/Dev Scripts
 #****************************************************************************************************
-
-
-
+if [ $type == "argTest" ] ; then
+	if [ $# != 3 ] ; then
+		echo "Usage:./EndToEndSystem <ClassifierType> <ResultSubDirectory> <borderIgnoreAmount> "
+		exit 1
+	fi
+	location=$2
+	borderIgnoreAmount=$3
+	cd image-identification-terminal	
+	mkdir log-EndToEnd/$location/
+	#Delete files if exists
+	if [ -d log-EndToEnd/$location ] ; then
+		echo "removing folder logEndToEnd/$location" 
+		rm -r log-EndToEnd/$location/
+		mkdir log-EndToEnd/$location/
+	fi
+
+	echo $'\n***********************************************\n' >> log-EndToEnd/$location/results.txt
+	echo "Start Time: $(date +"%T")" >> log-EndToEnd/$location/results.txt #Add End Time
+	echo >> log-EndToEnd/$location/results.txt #Add Space
+	cat configClassifierComparison.properties >> log-EndToEnd/$location/results.txt #Add config
+	echo $'ARGUEMENT DETAILS: \n' >> log-EndToEnd/$location/results.txt
+	echo "borderIgnoreAmount: $borderIgnoreAmount.	 That is to say that outer $borderIgnoreAmount% of the image was not considered by the algorithm." >> log-EndToEnd/$location/results.txt
+	echo "[NYI]" >> log-EndToEnd/$location/results.txt
+	echo >> log-EndToEnd/$location/results.txt #Space
+	
+	#Compile
+	echo "Compiling java programs..."
+	javac javaAccuracyCalculator.java
+	javac -cp /Scratch/cpb16/opencv-3.4.2/build/bin/opencv-342.jar javaClassifierComparison.java;
+	
+	#Classifiers
+	echo "Successfuly Compiled, running classifer now..."
+	./runClassiferV02.sh -argTest /Scratch/cpb16/is-sheet-music-encore/hires-download-images/MU morphology log-EndToEnd/$location/log-morph-MU.txt $borderIgnoreAmount
+	
+	#Accuracy Calculation
+	echo "Successfuly Classified, writing results now..."
+	java javaAccuracyCalculator log-EndToEnd/$location/log-morph-MU.txt morph-MU log-EndToEnd/$location/results.txt
+	echo >>log-EndToEnd/$location/results.txt
+	echo "End Time: $(date +"%T")" >> log-EndToEnd/$location/results.txt #Add End Time
+	#.././calculateCorpusAccuracy.sh
+	
+	#less log-EndToEnd/$location/results.txt 
+	exit $?
+fi
 
 #****************************************************************************************************
@@ -30,12 +71,15 @@
 	fi
 	echo $new_page_num
-	exit 1
+	exit $?
 fi
 #****************************************************************************************************
 #Classifier Scripts [HIGHRES BY DEFUALT]
 #****************************************************************************************************
+
+#Morphology - No args
+
 if [ $type == "morph" ] ; then
 	if [ $# != 2 ] ; then
-		echo "Usage:./EndToEndSystem cluster <ResultSubDirectory> "
+		echo "Usage:./EndToEndSystem <ClassifierType> <ResultSubDirectory> "
 		exit 1
 	fi
@@ -49,8 +93,8 @@
 	#Classifiers
 	echo "Successfuly Compiled, running classifer now..."
-	./runClassifer.sh /Scratch/cpb16/is-sheet-music-encore/hires-download-images/MU morphology log-EndToEnd/$location/log-morph-MU.txt -allNew
-	./runClassifer.sh /Scratch/cpb16/is-sheet-music-encore/hires-download-images/BK morphology log-EndToEnd/$location/log-morph-BK.txt -allNew
-	./runClassifer.sh /Scratch/cpb16/is-sheet-music-encore/hires-download-images/MP morphology log-EndToEnd/$location/log-morph-MP.txt -allNew
-	./runClassifer.sh /Scratch/cpb16/is-sheet-music-encore/hires-download-images/SE morphology log-EndToEnd/$location/log-morph-SE.txt -allNew
+	./runClassiferV02.sh -all /Scratch/cpb16/is-sheet-music-encore/hires-download-images/MU morphology log-EndToEnd/$location/log-morph-MU.txt 
+	./runClassiferV02.sh -all /Scratch/cpb16/is-sheet-music-encore/hires-download-images/BK morphology log-EndToEnd/$location/log-morph-BK.txt 
+	./runClassiferV02.sh -all /Scratch/cpb16/is-sheet-music-encore/hires-download-images/MP morphology log-EndToEnd/$location/log-morph-MP.txt 
+	./runClassiferV02.sh -all /Scratch/cpb16/is-sheet-music-encore/hires-download-images/SE morphology log-EndToEnd/$location/log-morph-SE.txt 
 	#Results
 	echo "Successfuly Classified, writing results now..."
@@ -67,11 +111,13 @@
 	.././calculateCorpusAccuracy.sh
 	less log-EndToEnd/$location/results.txt 
-	exit 1
-fi
+	exit $?
+fi
+
+#Cluster - No args
 
 if [ $type == "cluster" ] ; then
 	
 	if [ $# != 2 ] ; then
-		echo "Usage:./EndToEndSystem cluster <ResultSubDirectory>"
+		echo "Usage:./EndToEndSystem <ClassifierType> <ResultSubDirectory>"
 		exit 1
 	fi
@@ -84,8 +130,8 @@
 	#Classifiers
 	echo "Successfuly Compiled, running classifer now..."
-	#./runClassifer.sh /Scratch/cpb16/is-sheet-music-encore/hires-download-images/MU cluster log-EndToEnd/$location/log-cluster-MU.txt -allNew
-	#./runClassifer.sh /Scratch/cpb16/is-sheet-music-encore/hires-download-images/BK cluster log-EndToEnd/$location/log-cluster-BK.txt -allNew
-	#./runClassifer.sh /Scratch/cpb16/is-sheet-music-encore/hires-download-images/MP cluster log-EndToEnd/$location/log-cluster-MP.txt -allNew
-	#./runClassifer.sh /Scratch/cpb16/is-sheet-music-encore/hires-download-images/SE cluster log-EndToEnd/$location/log-cluster-SE.txt -allNew
+	#./runClassiferV02.sh -all /Scratch/cpb16/is-sheet-music-encore/hires-download-images/MU cluster log-EndToEnd/$location/log-cluster-MU.txt
+	#./runClassiferV02.sh -all /Scratch/cpb16/is-sheet-music-encore/hires-download-images/BK cluster log-EndToEnd/$location/log-cluster-BK.txt
+	#./runClassiferV02.sh -all /Scratch/cpb16/is-sheet-music-encore/hires-download-images/MP cluster log-EndToEnd/$location/log-cluster-MP.txt
+	#./runClassiferV02.sh -all /Scratch/cpb16/is-sheet-music-encore/hires-download-images/SE cluster log-EndToEnd/$location/log-cluster-SE.txt
 	#Results
 	echo "Successfuly Classified, writing results now..."
@@ -102,6 +148,219 @@
 	.././calculateCorpusAccuracy.sh
 	less log-EndToEnd/$location/results.txt 
-	exit 1
-fi
+	exit $?
+fi
+
+#Morphology - Border Args -Corpus - No Map
+
+if [ $type == "morph-border" ] ; then
+	if [ $# != 3 ] ; then
+		echo "Usage:./EndToEndSystem <ClassifierType> <ResultSubDirectory> <borderIgnoreAmount> "
+		exit 1
+	fi
+	location=$2
+	borderIgnoreAmount=$3
+	cd image-identification-terminal	
+	mkdir log-EndToEnd/$location/
+	#Delete files if exists
+	if [ -d log-EndToEnd/$location ] ; then
+		echo "removing folder logEndToEnd/$location" 
+		rm -r log-EndToEnd/$location/
+		mkdir log-EndToEnd/$location/
+	fi
+
+	echo $'\n***********************************************\n' >> log-EndToEnd/$location/results.txt
+	echo "Start Time: $(date +"%T")" >> log-EndToEnd/$location/results.txt #Add End Time
+	echo >> log-EndToEnd/$location/results.txt #Add Space
+	cat configClassifierComparison.properties >> log-EndToEnd/$location/results.txt #Add config
+	echo $'ARGUEMENT DETAILS: \n' >> log-EndToEnd/$location/results.txt
+	echo "borderIgnoreAmount: $borderIgnoreAmount.	 That is to say that outer $borderIgnoreAmount% of the image was not considered by the algorithm." >> log-EndToEnd/$location/results.txt
+	echo "[NYI]" >> log-EndToEnd/$location/results.txt
+	echo >> log-EndToEnd/$location/results.txt #Space
+	
+	#Compile
+	echo "Compiling java programs..."
+	javac javaAccuracyCalculator.java
+	javac -cp /Scratch/cpb16/opencv-3.4.2/build/bin/opencv-342.jar javaClassifierComparison.java;
+	
+	#Classifiers
+	echo "Successfuly Compiled, running classifer now..."
+	./runClassiferV02.sh -borderAll /Scratch/cpb16/is-sheet-music-encore/hires-download-images/MU morphology log-EndToEnd/$location/log-morph-MU.txt $borderIgnoreAmount
+	./runClassiferV02.sh -borderAll /Scratch/cpb16/is-sheet-music-encore/hires-download-images/BK morphology log-EndToEnd/$location/log-morph-BK.txt $borderIgnoreAmount
+	./runClassiferV02.sh -borderAll /Scratch/cpb16/is-sheet-music-encore/hires-download-images/SE morphology log-EndToEnd/$location/log-morph-SE.txt $borderIgnoreAmount
+	
+	#Accuracy Calculation
+	echo "Successfuly Classified, writing results now..."
+	java javaAccuracyCalculator log-EndToEnd/$location/log-morph-MU.txt morph-MU log-EndToEnd/$location/results.txt
+	java javaAccuracyCalculator log-EndToEnd/$location/log-morph-BK.txt morph-BK log-EndToEnd/$location/results.txt
+	java javaAccuracyCalculator log-EndToEnd/$location/log-morph-SE.txt morph-SE log-EndToEnd/$location/results.txt
+	echo >>log-EndToEnd/$location/results.txt
+	echo "End Time: $(date +"%T")" >> log-EndToEnd/$location/results.txt #Add End Time
+	#.././calculateCorpusAccuracy.sh
+	
+	#less log-EndToEnd/$location/results.txt 
+	exit $?
+fi
+
+#HoughTransform - Cluster Args -Corpus - No Map
+
+if [ $type == "cluster-border" ] ; then
+	if [ $# != 3 ] ; then
+		echo "Usage:./EndToEndSystem <ClassifierType> <ResultSubDirectory> <borderIgnoreAmount> "
+		exit 1
+	fi
+	location=$2
+	borderIgnoreAmount=$3
+	cd image-identification-terminal	
+	mkdir log-EndToEnd/$location/
+	#Delete files if exists
+	if [ -d log-EndToEnd/$location ] ; then
+		echo "removing folder logEndToEnd/$location" 
+		rm -r log-EndToEnd/$location/
+		mkdir log-EndToEnd/$location/
+	fi
+
+	echo $'\n***********************************************\n' >> log-EndToEnd/$location/results.txt
+	echo "Start Time: $(date +"%T")" >> log-EndToEnd/$location/results.txt #Add End Time
+	echo >> log-EndToEnd/$location/results.txt #Add Space
+	cat configClassifierComparison.properties >> log-EndToEnd/$location/results.txt #Add config
+	echo $'ARGUEMENT DETAILS: \n' >> log-EndToEnd/$location/results.txt
+	echo "borderIgnoreAmount: $borderIgnoreAmount.	 That is to say that outer $borderIgnoreAmount% of the image was not considered by the algorithm." >> log-EndToEnd/$location/results.txt
+	echo "[NYI]" >> log-EndToEnd/$location/results.txt
+	echo >> log-EndToEnd/$location/results.txt #Space
+	
+	#Compile
+	echo "Compiling java programs..."
+	javac javaAccuracyCalculator.java
+	javac -cp /Scratch/cpb16/opencv-3.4.2/build/bin/opencv-342.jar javaClassifierComparison.java;
+	
+	#Classifiers
+	echo "Successfuly Compiled, running classifer now..."
+	./runClassiferV02.sh -borderAll /Scratch/cpb16/is-sheet-music-encore/hires-download-images/MU cluster log-EndToEnd/$location/log-cluster-MU.txt $borderIgnoreAmount
+	./runClassiferV02.sh -borderAll /Scratch/cpb16/is-sheet-music-encore/hires-download-images/BK cluster log-EndToEnd/$location/log-cluster-BK.txt $borderIgnoreAmount
+	./runClassiferV02.sh -borderAll /Scratch/cpb16/is-sheet-music-encore/hires-download-images/SE cluster log-EndToEnd/$location/log-cluster-SE.txt $borderIgnoreAmount
+	
+	#Accuracy Calculation
+	echo "Successfuly Classified, writing results now..."
+	java javaAccuracyCalculator log-EndToEnd/$location/log-cluster-MU.txt cluster-MU log-EndToEnd/$location/results.txt
+	java javaAccuracyCalculator log-EndToEnd/$location/log-cluster-BK.txt cluster-BK log-EndToEnd/$location/results.txt
+	java javaAccuracyCalculator log-EndToEnd/$location/log-cluster-SE.txt cluster-SE log-EndToEnd/$location/results.txt
+	echo >>log-EndToEnd/$location/results.txt
+	echo "End Time: $(date +"%T")" >> log-EndToEnd/$location/results.txt #Add End Time
+	#.././calculateCorpusAccuracy.sh
+	
+	#less log-EndToEnd/$location/results.txt 
+	exit $?
+fi
+
+
+
+#HoughTransform - Count Args -Corpus - No Map                                                                                                                                                                 
+
+if [ $type == "count-border" ] ; then
+        if [ $# != 3 ] ; then
+                echo "Usage:./EndToEndSystem <ClassifierType> <ResultSubDirectory> <borderIgnoreAmount> "
+                exit 1
+        fi
+        location=$2
+        borderIgnoreAmount=$3
+        cd image-identification-terminal
+        mkdir log-EndToEnd/$location/
+        #Delete files if exists                                                                                                                                                                                 
+        if [ -d log-EndToEnd/$location ] ; then
+                echo "removing folder logEndToEnd/$location"
+                rm -r log-EndToEnd/$location/
+                mkdir log-EndToEnd/$location/
+        fi
+
+        echo $'\n***********************************************\n' >> log-EndToEnd/$location/results.txt
+        echo "Start Time: $(date +"%T")" >> log-EndToEnd/$location/results.txt #Add End Time                                                                                                                    
+        echo >> log-EndToEnd/$location/results.txt #Add Space                                                                                                                                                   
+        cat configClassifierComparison.properties >> log-EndToEnd/$location/results.txt #Add config                                                                                                             
+        echo $'ARGUEMENT DETAILS: \n' >> log-EndToEnd/$location/results.txt
+        echo "borderIgnoreAmount: $borderIgnoreAmount.   That is to say that outer $borderIgnoreAmount% of the image was not considered by the algorithm." >> log-EndToEnd/$location/results.txt
+        echo "[NYI]" >> log-EndToEnd/$location/results.txt
+        echo >> log-EndToEnd/$location/results.txt #Space                                                                                                                                                       
+
+        #Compile                                                                                                                                                                                                
+        echo "Compiling java programs..."
+        javac javaAccuracyCalculator.java
+        javac -cp /Scratch/cpb16/opencv-3.4.2/build/bin/opencv-342.jar javaClassifierComparison.java;
+
+        #Classifiers                                                                                                                                                                                            
+        echo "Successfuly Compiled, running classifer now..."
+        ./runClassiferV02.sh -borderAll /Scratch/cpb16/is-sheet-music-encore/hires-download-images/MU count log-EndToEnd/$location/log-count-MU.txt $borderIgnoreAmount
+        ./runClassiferV02.sh -borderAll /Scratch/cpb16/is-sheet-music-encore/hires-download-images/BK count log-EndToEnd/$location/log-count-BK.txt $borderIgnoreAmount
+        ./runClassiferV02.sh -borderAll /Scratch/cpb16/is-sheet-music-encore/hires-download-images/SE count log-EndToEnd/$location/log-count-SE.txt $borderIgnoreAmount
+
+        #Accuracy Calculation                                                                                                                                                                                   
+        echo "Successfuly Classified, writing results now..."
+        java javaAccuracyCalculator log-EndToEnd/$location/log-count-MU.txt count-MU log-EndToEnd/$location/results.txt
+        java javaAccuracyCalculator log-EndToEnd/$location/log-count-BK.txt count-BK log-EndToEnd/$location/results.txt
+        java javaAccuracyCalculator log-EndToEnd/$location/log-count-SE.txt count-SE log-EndToEnd/$location/results.txt
+        echo >>log-EndToEnd/$location/results.txt
+        echo "End Time: $(date +"%T")" >> log-EndToEnd/$location/results.txt #Add End Time                                                                                                                      
+        #.././calculateCorpusAccuracy.sh                                                                                                                                                                        
+
+        #less log-EndToEnd/$location/results.txt                                                                                                                                                                
+        exit $?
+fi
+
+
+
+
+
+#Map SCRIPT                                                                                                                                                                 
+
+if [ $type == "map-hough-morph" ] ; then
+        if [ $# != 3 ] ; then
+                echo "Usage:./EndToEndSystem <ClassifierType> <ResultSubDirectory> <borderIgnoreAmount> "
+                exit 1
+        fi
+        location=$2
+        borderIgnoreAmount=$3
+        cd image-identification-terminal
+        mkdir log-EndToEnd/$location/
+        #Delete files if exists                                                                                                                                                                                 
+        if [ -d log-EndToEnd/$location ] ; then
+                echo "removing folder logEndToEnd/$location"
+                rm -r log-EndToEnd/$location/
+                mkdir log-EndToEnd/$location/
+        fi
+
+        echo $'\n***********************************************\n' >> log-EndToEnd/$location/results.txt
+        echo "Start Time: $(date +"%T")" >> log-EndToEnd/$location/results.txt #Add End Time                                                                                                                    
+        echo >> log-EndToEnd/$location/results.txt #Add Space                                                                                                                                                   
+        cat configClassifierComparison.properties >> log-EndToEnd/$location/results.txt #Add  config                                                                                                             
+        echo $'ARGUEMENT DETAILS: \n' >> log-EndToEnd/$location/results.txt
+        echo "borderIgnoreAmount: $borderIgnoreAmount.   That is to say that outer $borderIgnoreAmount% of the image was not considered by the algorithm." >> log-EndToEnd/$location/results.txt
+        echo "[NYI]" >> log-EndToEnd/$location/results.txt
+        echo >> log-EndToEnd/$location/results.txt                                                                                                                                                        
+
+        #Compile                                                                                                                                                                                                
+        echo "Compiling java programs..."
+        javac javaAccuracyCalculator.java
+        javac -cp /Scratch/cpb16/opencv-3.4.2/build/bin/opencv-342.jar javaClassifierComparison.java;
+
+        #Classifiers                                                                                                                                                                                            
+        echo "Successfuly Compiled, running classifer now..."
+        ./runClassiferV02.sh -borderAll /Scratch/cpb16/is-sheet-music-encore/hires-download-images/MP count log-EndToEnd/$location/log-count-MP.txt $borderIgnoreAmount
+		./runClassiferV02.sh -borderAll /Scratch/cpb16/is-sheet-music-encore/hires-download-images/MP morphology log-EndToEnd/$location/log-morph-MP.txt $borderIgnoreAmount
+
+        #Accuracy Calculation                                                                                                                                                                                   
+        echo "Successfuly Classified, writing results now..."
+        java javaAccuracyCalculator log-EndToEnd/$location/log-count-MP.txt count-MP log-EndToEnd/$location/results.txt
+        java javaAccuracyCalculator log-EndToEnd/$location/log-morph-MP.txt morph-MP log-EndToEnd/$location/results.txt
+        
+        echo >>log-EndToEnd/$location/results.txt
+        echo "End Time: $(date +"%T")" >> log-EndToEnd/$location/results.txt #Add End Time                                                                                                                      
+        #.././calculateCorpusAccuracy.sh                                                                                                                                                                        
+
+        #less log-EndToEnd/$location/results.txt                                                                                                                                                                
+        exit $?
+fi
+
+
+
+
 
 
Index: /other-projects/is-sheet-music-encore/trunk/FormattedListForAppendix/AppendixFormattedListGenerator.java
===================================================================
--- /other-projects/is-sheet-music-encore/trunk/FormattedListForAppendix/AppendixFormattedListGenerator.java	(revision 33589)
+++ /other-projects/is-sheet-music-encore/trunk/FormattedListForAppendix/AppendixFormattedListGenerator.java	(revision 33589)
@@ -0,0 +1,66 @@
+import java.io.BufferedReader;
+import java.io.FileReader;
+import java.io.FileWriter;
+import java.util.regex.*;
+
+//Creates textfile of all records tagged with XX (MU for example)
+//Used on the textfile that contains every record in hathiTrust
+public class AppendixFormattedListGenerator {
+    public static void main(String[] args) {
+		try{
+			if (args.length != 2) {
+				System.out.println("Usage: TabProcTextGen <inputFilename> <outputFilename>");
+			}
+			else {
+				String inputFilename = args[0];
+				String outputFilename = args[1];
+
+				System.out.println("Processing: " + inputFilename);
+				
+				FileReader fileReader = new FileReader(inputFilename);
+				BufferedReader buf = new BufferedReader(fileReader);
+				//FileWriter fw = new FileWriter("HathiDocIDList.txt");
+				FileWriter fw = new FileWriter(outputFilename);
+				String line = null;
+				String[] item;
+
+				//Splits into each record, since readLine splits by "\n"
+				int line_num = 0;
+
+				while ((line = buf.readLine()) != null) {
+					line_num++;
+					if (line_num%100000 == 0) {
+						System.out.print(".");
+						System.out.flush();
+					}
+				
+					//Splits by tab, leaves "" for every blank entry
+					item = line.split("\t", -1);
+					
+					//Check items to be equal
+						if(	item[0].equals("Filename:")){
+							//Encode id
+							
+							String filepath = item[1];//Scratch/cpb16/is-sheet-music-encore/hires-download-images/SE/NotSheetMusic/bc.ark+=13960=t2d80fc7h-10.png
+							String[] splitter = filepath.split("/");
+							String category = splitter[5];
+							String groundTruth = splitter[6];
+							String recordID = splitter[7];
+							recordID = recordID.replaceAll("\\+", ":").replaceAll("=", "\\/");
+							recordID = recordID.substring(0, recordID.length() - 4);
+							
+						
+							//idEncoded = idEncoded.replaceAll(":", "+").replaceAll("/", "=");
+							//Write item to file
+							fw.write(category + "\t" + groundTruth + "\t" + recordID + "\n");
+						}
+				}
+			buf.close();
+			fw.close();
+			}
+		}
+		catch(Exception e){
+			e.printStackTrace();
+		}
+	}
+}
Index: /other-projects/is-sheet-music-encore/trunk/FormattedListForAppendix/Makefile
===================================================================
--- /other-projects/is-sheet-music-encore/trunk/FormattedListForAppendix/Makefile	(revision 33589)
+++ /other-projects/is-sheet-music-encore/trunk/FormattedListForAppendix/Makefile	(revision 33589)
@@ -0,0 +1,6 @@
+create-formatted:
+	java AppendixFormattedListGenerator MusicIDList.txt FORMATTEDMusicIDList.txt
+	java AppendixFormattedListGenerator BookIDList.txt FORMATTEDBookIDList.txt
+	java AppendixFormattedListGenerator SerialIDList.txt FORMATTEDlSerialIDList.txt
+
+	cat FORMATTED*.txt > BatchFORMATTED.txt
